### Function

# Qmi message_new

since: 1.0

#### Declaration [src]

    QmiMessage*
    qmi_message_new (
      QmiService service,
      guint8 client_id,
      guint16 transaction_id,
      guint16 message_id
    )

#### Description [src]

Create a new `QmiMessage` with the specified parameters.

Note that `transaction_id` must be less than #G_MAXUINT8 if `service` is

# QMI_SERVICE_CTL.

Available since: 1.0

#### Parameters

`service`

  Type: `QmiService`

  A `QmiService`.

`client_id`

  Type: `guint8`

  Client ID of the originating control point.

`transaction_id`

  Type: `guint16`

  Transaction ID.

`message_id`

  Type: `guint16`

  Message ID.

#### Return value

Type: `QmiMessage`

A newly created `QmiMessage`. The returned value should be freed with qmi_message_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.